Index: uspace/lib/drv/generic/remote_usbhid.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhid.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ uspace/lib/drv/generic/remote_usbhid.c	(revision 34e1206ec4dc79f0592077e3ee270fba91d1eb9d)
@@ -67,5 +67,5 @@
 	 */
 	IPC_M_USBHID_GET_EVENT,
-	
+
 	/** Get the size of the report descriptor from the HID device.
 	 *
@@ -78,5 +78,5 @@
 	 */
 	IPC_M_USBHID_GET_REPORT_DESCRIPTOR_LENGTH,
-	
+
 	/** Get the report descriptor from the HID device.
 	 *
@@ -101,18 +101,18 @@
 	if (!dev_sess)
 		return EINVAL;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	sysarg_t len;
 	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(USBHID_DEV_IFACE),
 	    IPC_M_USBHID_GET_EVENT_LENGTH, &len);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (rc == EOK) {
 		if (size != NULL)
 			*size = (size_t) len;
 	}
-	
+
 	return rc;
 }
@@ -137,23 +137,23 @@
 	if (!dev_sess)
 		return EINVAL;
-	
+
 	if (buf == NULL)
 		return ENOMEM;
-	
+
 	if (size == 0)
 		return EINVAL;
-	
+
 	size_t buffer_size =  size;
 	uint8_t *buffer = malloc(buffer_size);
 	if (buffer == NULL)
 		return ENOMEM;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	ipc_call_t opening_request_call;
 	aid_t opening_request = async_send_2(exch,
 	    DEV_IFACE_ID(USBHID_DEV_IFACE), IPC_M_USBHID_GET_EVENT,
 	    flags, &opening_request_call);
-	
+
 	if (opening_request == 0) {
 		async_exchange_end(exch);
@@ -161,11 +161,11 @@
 		return ENOMEM;
 	}
-	
+
 	ipc_call_t data_request_call;
 	aid_t data_request = async_data_read(exch, buffer, buffer_size,
 	    &data_request_call);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (data_request == 0) {
 		async_forget(opening_request);
@@ -173,10 +173,10 @@
 		return ENOMEM;
 	}
-	
+
 	errno_t data_request_rc;
 	errno_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
-	
+
 	if (data_request_rc != EOK) {
 		/* Prefer return code of the opening request. */
@@ -186,19 +186,19 @@
 			return (errno_t) data_request_rc;
 	}
-	
+
 	if (opening_request_rc != EOK)
 		return (errno_t) opening_request_rc;
-	
+
 	size_t act_size = IPC_GET_ARG2(data_request_call);
-	
+
 	/* Copy the individual items. */
 	memcpy(buf, buffer, act_size);
-	
+
 	if (actual_size != NULL)
 		*actual_size = act_size;
-	
+
 	if (event_nr != NULL)
 		*event_nr = IPC_GET_ARG1(opening_request_call);
-	
+
 	return EOK;
 }
@@ -209,18 +209,18 @@
 	if (!dev_sess)
 		return EINVAL;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	sysarg_t arg_size;
 	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(USBHID_DEV_IFACE),
 	    IPC_M_USBHID_GET_REPORT_DESCRIPTOR_LENGTH, &arg_size);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (rc == EOK) {
 		if (size != NULL)
 			*size = (size_t) arg_size;
 	}
-	
+
 	return rc;
 }
@@ -231,13 +231,13 @@
 	if (!dev_sess)
 		return EINVAL;
-	
+
 	if (buf == NULL)
 		return ENOMEM;
-	
+
 	if (size == 0)
 		return EINVAL;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	aid_t opening_request = async_send_1(exch,
 	    DEV_IFACE_ID(USBHID_DEV_IFACE), IPC_M_USBHID_GET_REPORT_DESCRIPTOR,
@@ -247,21 +247,21 @@
 		return ENOMEM;
 	}
-	
+
 	ipc_call_t data_request_call;
 	aid_t data_request = async_data_read(exch, buf, size,
 	    &data_request_call);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (data_request == 0) {
 		async_forget(opening_request);
 		return ENOMEM;
 	}
-	
+
 	errno_t data_request_rc;
 	errno_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
-	
+
 	if (data_request_rc != EOK) {
 		/* Prefer return code of the opening request. */
@@ -271,13 +271,13 @@
 			return (errno_t) data_request_rc;
 	}
-	
+
 	if (opening_request_rc != EOK)
 		return (errno_t) opening_request_rc;
-	
+
 	size_t act_size = IPC_GET_ARG2(data_request_call);
-	
+
 	if (actual_size != NULL)
 		*actual_size = act_size;
-	
+
 	return EOK;
 }
@@ -312,5 +312,5 @@
 {
 	printf("remote_usbhid_get_event_length()\n");
-	
+
 	usbhid_iface_t *hid_iface = (usbhid_iface_t *) iface;
 
@@ -326,5 +326,5 @@
 //	}
 	async_answer_1(callid, EOK, len);
-	
+
 //	if (len < 0) {
 //		async_answer_0(callid, len);
